--- src/etc/script/sympa.in.orig	2010-11-16 23:25:42.000000000 -0800
+++ src/etc/script/sympa.in	2014-12-09 00:04:38.000000000 -0800
@@ -33,10 +33,14 @@
 fi
 
 # OSTYPE *is* defined on Solaris 10! (bug #3149)
+# OSTYPE has many variants on darwin platforms
 case "$OSTYPE" in
         *solaris*)
         OSTYPE=SunOS
         ;;
+        *darwin*)
+	OSTYPE=darwin
+        ;;
 esac
 
 if [ -f /etc/SuSE-release ] ; then
@@ -59,8 +63,8 @@
 sympaconf="--CONFIG--"
 wwsympaconf="--WWSCONFIG--"
 
-##'echo -n' not supported with SH on Solaris
-if [ ${OSTYPE} = "SunOS" ]; then
+##'echo -n' not supported with SH on Solaris or darwin
+if [ "${OSTYPE}" = "SunOS" -o "${OSTYPE}" = "darwin"  ]; then
   echo_opt=""
 else
   echo_opt="-n"
@@ -159,7 +163,7 @@
 	if [ "$pids" != "" ]; then
 	    for pid in $pids; do
 		killcount=0
-		running=`ps -A | grep "$pid ..* $1\\.pl"`
+		running=`ps -A | grep "$pid.*$1\\.pl"`
 		while [ "$running" != "" ]; do
 		    if [ $killcount -gt 10 ]; then
 			if [ ${use_functions} ]; then
@@ -171,13 +175,13 @@
 		    fi
 
 		    kill -TERM $pid >/dev/null 2>&1
-		    running=`ps -A | grep "$pid ..* $1\\.pl"`
+		    running=`ps -A | grep "$pid.*$1\\.pl"`
 		    if [ "$running" = "" ]; then
 			runcount=`expr $runcount + 1`
 			break
 		    fi
 		    sleep 2
-		    running=`ps -A | grep "$pid ..* $1\\.pl"`
+		    running=`ps -A | grep "$pid.*$1\\.pl"`
 		    if [ "$running" = "" ]; then
 			runcount=`expr $runcount + 1`
 			break
@@ -204,8 +208,10 @@
 
 
 # Check that networking is up.
-if [ ${OSTYPE} != "Slack" -a ${OSTYPE} != "FreeBSD" -a ${OSTYPE} != "SunOS" -a ${OSTYPE} != "darwin7.0" -a ${OSTYPE} != "Debian" -a ${OSTYPE} != "Suse" ]; then
-    if [ ${NETWORKING} = "no" ]
+# NETWORKING is not defined on any darwin platforms
+# Just in case fix 'expected unary operator' error if $NETWORKING is null
+if [ ${OSTYPE} != "Slack" -a ${OSTYPE} != "FreeBSD" -a ${OSTYPE} != "SunOS" -a ${OSTYPE} != "darwin" -a ${OSTYPE} != "Debian" -a ${OSTYPE} != "Suse" ]; then
+    if [ "${NETWORKING}" = "no" ]
     then
 	    exit 0
     fi
